#include <iostream>

using namespace std;

int main()
{
	int n, l;
	cin >> n >> l;
	int s[n];
	for(int i = 0; i < n; i++)
	{
		cin >> s[i];
	}
	for(int i = 0; i < n; i++)
	{
		if(s[i] <= l) {
			cout << i+1; 
				break;
		}
		else if(i == n-1) cout << -1;
	}
	
}